## cascading.cascade.planner
Class FlowGraph

    java.lang.Object
      org.jgrapht.graph.AbstractGraph<V,E>
          org.jgrapht.graph.AbstractBaseGraph<V,E>
              org.jgrapht.graph.SimpleDirectedGraph<Flow,Integer>
                  cascading.cascade.planner.FlowGraph

All Implemented Interfaces:
  Serializable, Cloneable, org.jgrapht.DirectedGraph<Flow,Integer>, org.jgrapht.Graph<Flow,Integer>

    public class FlowGraph

extends org.jgrapht.graph.SimpleDirectedGraph<Flow,Integer>

See Also:
  Serialized Form

Constructor Summary
`FlowGraph(IdentifierGraph identifierGraph)`

Method Summary
`org.jgrapht.traverse.TopologicalOrderIterator<Flow,Integer>` `getTopologicalIterator()`

Methods inherited from class org.jgrapht.graph.AbstractBaseGraph
`addEdge, addEdge, addVertex, clone, containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, isAllowingLoops, isAllowingMultipleEdges, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeSetFactory, setEdgeWeight, vertexSet`

Methods inherited from class org.jgrapht.graph.AbstractGraph
`assertVertexExist, containsEdge, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgrapht.DirectedGraph
`incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Constructor Detail

### FlowGraph

    public FlowGraph(IdentifierGraph identifierGraph)

Method Detail

### getTopologicalIterator

    public org.jgrapht.traverse.TopologicalOrderIterator<Flow,Integer> getTopologicalIterator()

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.